Bug 156536 - project opened/visible twice
project opened/visible twice
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
6.x
All Windows Vista
: P2 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@projects
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 16:41 UTC by Lukas Jungmann
Modified: 2009-02-19 22:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (18.70 KB, image/png)
2009-01-09 16:42 UTC, Lukas Jungmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jungmann 2009-01-09 16:41:38 UTC
-javaIDE, hudson #4760, fresh userdir

-start IDE
-add $NB_HG_ROOT to favorites
-right-click on the "groovy.kit" node/folder and invoke open project
-wait a while
-right-click on the "groovy.kit" node/folder and invoke open project again

=> see attached screeshot of project view
Comment 1 Lukas Jungmann 2009-01-09 16:42:14 UTC
Created attachment 75642 [details]
screenshot
Comment 2 Jaroslav Tulach 2009-02-09 12:34:17 UTC
Reproduced. Really annoying.
Comment 3 Jaroslav Tulach 2009-02-11 20:18:14 UTC
ergonomics#e79e3029b1e8
Comment 4 Quality Engineering 2009-02-12 20:45:08 UTC
Integrated into 'main-golden', will be available in build *200902121452* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e79e3029b1e8
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #156536: Using both sides equality to prevent duplicated open of fake project and its original one. Plus fixing unstability of the waitProjectsOpen() test method by ignoring calls that might arrive from AWT.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo